/*!
 * @file bounce.h
 * @brief Interface for coordinating access to and using the PC bounce buffers.
 *
 * Copyright 2017 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef __BOUNCE_H__
#define __BOUNCE_H__

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include <stdint.h>
#include <fcntl.h>

//--------------------------------------------------------------------
// Constants, Typedefs and Macros
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Function Prototypes
//--------------------------------------------------------------------

extern bool  bb_init();

extern int bb_get_avail();
extern uint64_t bb_get_base();
extern uint64_t bb_get_avail_addr(int index);
extern uint32_t bb_get_mmap_len(int index);
extern void *bb_mmap(int index, uint32_t dest_len, int flags = O_RDWR);
extern uint32_t bb_read(int index, uint8_t *dest_ptr, uint32_t dest_len);
extern void bb_release(int index);
extern void bb_unmap(int index);
extern uint32_t bb_write(int index, const uint8_t *src_ptr, uint32_t src_len);

#endif /* !__BOUNCE_H__ */
