/*!
 * @file clock_gen.h
 * @brief This file declares the clock_gen class and it's methods.
 * @author Anthony L. Montiel
 * @date 2012-06-28
 *
 * Copyright (C) 2012 Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef _FASTEC_CLOCK_GEN_H_
#define _FASTEC_CLOCK_GEN_H_

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

//--------------------------------------------------------------------
//! @brief The clock_gen class.
//--------------------------------------------------------------------
class clock_gen
{
private:
    int     clkgen_fd;  //!< ClockGen driver's file descriptor.

public:
    clock_gen(void);
    virtual ~clock_gen();

    bool clock_init();
    void set_lince_icm_frequency(uint32_t sensor_opts);
};

#endif /* !_FASTEC_CLOCK_GEN_H_ */

