/*!
 * @file cs_fas_trace.h
 * @brief The collection space for holding trace constants.
 *
 * Copyright 2018 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef __CS_TRACE_H__
#define __CS_TRACE_H__

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <fastec/fas_trace.h>

namespace CS_TRACE
{
//--------------------------------------------------------------------
// Constants, Typedefs and Macros
//--------------------------------------------------------------------

const uint32_t TRACE_SEL_JPEG_PROC  = 0x000101; //!< The select for the JPEG processor.
const uint32_t TRACE_SEL_P1_PROC    = 0x000201; //!< The select for the P1 processing.
const uint32_t TRACE_SEL_CAMERA_STATE   = 0x000401; //!< The select for the camera state information.
const uint32_t TRACE_SEL_LIBVA      = 0x000801; //!< The select for the LibVA object.
const uint32_t TRACE_SEL_DISP_X11   = 0x001001; //!< The select for the X11 display object.
const uint32_t TRACE_SEL_DISP_DRM   = 0x002001; //!< The select for the DRM display object.
const uint32_t TRACE_SEL_CAP_FILE   = 0x004001; //!< The select for the CAP load/save methods.
const uint32_t TRACE_SEL_IPM_PROC   = 0x008001; //!< The select for the IPM processor.
const uint32_t TRACE_SEL_SAVE_PROC  = 0x010001; //!< The select for the save processor.
const uint32_t TRACE_SEL_PB_CONTROL = 0x020001; //!< The select for the Playback Controller.
const uint32_t TRACE_SEL_STORAGE    = 0x040001; //!< The select for the storage object.
const uint32_t TRACE_SEL_FAN_PROC   = 0x080001; //!< The select for the fan controller.
const uint32_t TRACE_SEL_NM_PROC    = 0x100001; //!< The select for the Network manager processor.
const uint32_t TRACE_SEL_MFT_PROC   = 0x200001; //!< The select for the MFT lens manager.
const uint32_t TRACE_SEL_BATT_PROC  = 0x400001; //!< The select for the battery gas gauge monitor.

} /* End of namespace CS_TRACE */

#endif /* !__CS_TRACE_H__ */
