/*!
 * @file dcraw_util.h
 * @brief Wrappers for dcraw functionality.
 *
 * Copyright 2008-2017 LibRaw LLC (info@libraw.org)
 * Created: Sat Mar  8, 2008
 *
 * dcraw.c -- Dave Coffin's raw photo decoder
 * Copyright 1997-2014 by Dave Coffin, dcoffin a cybercom o net
 *
 * Copyright 2017 (c) Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 *
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef DCRAW_UTIL_H__
#define DCRAW_UTIL_H__

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include <stdint.h>
#include <libraw/libraw.h>

//--------------------------------------------------------------------
// Class Declaration
//--------------------------------------------------------------------

class DcrawUtil
{
public:
    DcrawUtil();
    virtual ~DcrawUtil();

    void release();
    uint8_t *raw_process(uint8_t *dng_ptr, int dng_length);

private:
    LibRaw rawProcessor;    //!< Our LibRaw object.
    libraw_processed_image_t *image_ptr;    //!< Pointer to the processed image data.
};


#endif /* !DCRAW_UTIL_H__ */
