/*!
 * @file mmapper.h
 * @brief This file defines the mmap support class.
 * @author Anthony L. Montiel
 * @date 2015-07-21
 *
 * Copyright (C) 2015 Fastec Imaging as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * Fastec Imaging. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with Fastec Imaging.
 */

#ifndef _FASTEC_MMAPPER_H_
#define _FASTEC_MMAPPER_H_

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------

#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <syslog.h>

#include <errno.h>
#include <fcntl.h>
#include <stddef.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/mman.h>

//--------------------------------------------------------------------
// MMAPper class declaration
//--------------------------------------------------------------------

class mmapper
{
private:
    uint32_t    aligned_len;
    uint32_t    file_len;
    int     input_fd;
    void    *mmap_ptr;

public:
    mmapper(void);
    virtual ~mmapper();

    void    *open(const char *file_path);
    void    close(void);

    uint32_t    get_aligned_len(void)      { return aligned_len; }
    uint32_t    get_file_len(void)     { return file_len; }
    void    *get_mmap_ptr(void)        { return mmap_ptr; }
};

#endif /* !_FASTEC_MMAPPER_H_ */

