/*!
 * @file shmem_stream.h
 * @brief Shared Memory Stream interfaces
 *
 * Copyright (C) 2023 RDI Technologies as an unpublished work.
 * All Rights Reserved.
 * The information contained herein is confidential property of
 * RDI Technologies. The use, copying, transfer or disclosure of such
 * information is prohibited except by express written agreement
 * with RDI Technologies.
 */

#ifndef _SHMEM_STREAM_H_
#define _SHMEM_STREAM_H_

//--------------------------------------------------------------------
// Includes
//--------------------------------------------------------------------
#include <fastec/gige_msg.h>

namespace CS_NETWORK
{
struct CS_NETWORK_MESSAGE;
}

//--------------------------------------------------------------------
// Function Prototypes
//--------------------------------------------------------------------
extern int shmemStreamInit();
extern int shmemStreamControlUpdate(CS_NETWORK::CS_NETWORK_MESSAGE *p_msg, uint32_t reg_value);
extern void shmemStreamSsUpdate();

extern bool shmemMAIsActive();
extern bool shmemMAGetFrame(uint8_t *frame_ptr);

#endif /* _SHMEM_STREAM_H_ */

